<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelDataAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_HotelDataAdvancedOptions extends AbstractStructBase
{
    /**
     * The ShowGiataCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowGiataCode;
    /**
     * Constructor method for JP_HotelDataAdvancedOptions
     * @uses JP_HotelDataAdvancedOptions::setShowGiataCode()
     * @param bool $showGiataCode
     */
    public function __construct($showGiataCode = null)
    {
        $this
            ->setShowGiataCode($showGiataCode);
    }
    /**
     * Get ShowGiataCode value
     * @return bool|null
     */
    public function getShowGiataCode()
    {
        return $this->ShowGiataCode;
    }
    /**
     * Set ShowGiataCode value
     * @param bool $showGiataCode
     * @return \StructType\JP_HotelDataAdvancedOptions
     */
    public function setShowGiataCode($showGiataCode = null)
    {
        // validation for constraint: boolean
        if (!is_null($showGiataCode) && !is_bool($showGiataCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showGiataCode, true), gettype($showGiataCode)), __LINE__);
        }
        $this->ShowGiataCode = $showGiataCode;
        return $this;
    }
}
